Name:		log4net
URL:		http://logging.apache.org/log4net/
License:	ASL 2.0
Group:		Development/Other
Version:	1.2.15
Release:	%mkrel 1
Summary:	A .NET framework for logging
Source:         http://mirror.reverse.net/pub/apache/logging/log4net/source/%{name}-%{version}-src.zip
Source1:	log4net.pc
BuildRequires:	mono-data-sqlite
BuildRequires:	mono-devel
BuildArch:	noarch

%description
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%package devel
Summary:	A .NET framework for logging
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%prep
%setup -q
%autopatch -p1
sed -i 's/\r//' NOTICE
sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE
# Remove prebuilt dll files
rm -rf bin/

# Fix for mono 4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

# Use system mono.snk key
sed -i -e 's!"..\\..\\..\\log4net.snk")]!"/etc/pki/mono/mono.snk")]!' src/AssemblyInfo.cs
sed -i -e 's!|| SSCLI)!|| SSCLI || MONO)!' src/AssemblyInfo.cs

%build
# ASF recommend using nant to build log4net
xbuild /property:Configuration=Debug /property:DefineConstants=DEBUG,MONO,STRONG src/log4net.vs2010.csproj
#nant -buildfile:log4net.build -t:mono-2.0 compile-all

%install
mkdir -p %{buildroot}/%{_datadir}/pkgconfig
cp %{S:1} %{buildroot}/%{_datadir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT/%{_monogacdir}
gacutil -i build/bin/net/*/debug/log4net.dll -f -package log4net -root ${RPM_BUILD_ROOT}/%{_prefix}/lib

%files
%{_monogacdir}/log4net
%{_monodir}/log4net
%doc LICENSE NOTICE README.txt

%files devel
%{_datadir}/pkgconfig/log4net.pc




%changelog
* Mon Dec 28 2015 tv <tv> 1.2.15-1.mga6
+ Revision: 916227
- drop BR on nant
- use mono macros
- use xbuild insted nant for prevent recursive required (Nant need log4net)
- drop support for mga1 and later
- drop patch 0
- mono4 fixes
- add more BRs
- kill useless BR on unzip
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.2.10-10.mga5
+ Revision: 747512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.10-9.mga5
+ Revision: 681983
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 pterjan <pterjan> 1.2.10-8.mga4
+ Revision: 563885
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.10-6.mga3
+ Revision: 358927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 steletch <steletch> 1.2.10-5.mga2
+ Revision: 198849
- imported package log4net

